<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.king.modules.ad.mapper.AdDeviceFaultReportMapper">

    <select id="getlist" resultType="org.king.modules.ad.entity.AdDeviceFaultReport">
        SELECT
        a.id,
        a.ad_device_id,
        a.status,
        a.detail,
        b.service_name as name
        FROM
        ad_device_fault_report a
        LEFT JOIN ad_device b ON a.ad_device_id = b.id
    </select>

</mapper>